Hello,<br><br>New problems about installation appear when I call " from MMTK.Dynamics import VelocityVerletIntegrator, Heater". The error message is listed below. The key line is "MMTK.Utility.MMTKError: Trajectories are not available because the netCDF module is missing."<br>
I simply installed netcdf-4.1.3. by such commands:  ./configure --enable-shared --disable-netcdf-4; make check install; and there was no error reported. <br><br>Thanks!<br>Jinrui<br><br>>>> from MMTK import *<br>
>>> from MMTK.Dynamics import VelocityVerletIntegrator, Heater<br>Traceback (most recent call last):<br>  File "<stdin>", line 1, in <module><br>  File "/usr/lib64/python2.6/site-packages/MMTK/Dynamics.py", line 12, in <module><br>
    from MMTK import Environment, Features, Trajectory, Units<br>  File "/usr/lib64/python2.6/site-packages/MMTK/Trajectory.py", line 23, in <module><br>    "because the netCDF module is missing.")<br>
MMTK.Utility.MMTKError: Trajectories are not available because the netCDF module is missing.<br>>>> <br><br><br><div class="gmail_quote">On Mon, Dec 3, 2012 at 10:54 AM, Jinrui Xu <span dir="ltr"><<a href="mailto:jinruixu@umich.edu" target="_blank">jinruixu@umich.edu</a>></span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0pt 0pt 0pt 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Thanks to everyone! I installed numpy devel and Problem solved.<br>
<br>
Sent from my iPhone<br>
<div class="HOEnZb"><div class="h5"><br>
On Dec 3, 2012, at 9:54 AM, Peter <<a href="mailto:peter@maubp.freeserve.co.uk">peter@maubp.freeserve.co.uk</a>> wrote:<br>
<br>
> On Mon, Dec 3, 2012 at 1:31 PM, Jinrui Xu <<a href="mailto:jinruixu@umich.edu">jinruixu@umich.edu</a>> wrote:<br>
>> Hello Honrad,<br>
>><br>
>> You were right. Scientificpython gives the same error:<br>
>> Src/Scientific_netcdf.c:14:31: error: numpy/arrayobject.h: No such file or<br>
>> directory.<br>
>><br>
>> Thanks!<br>
><br>
> How was NumPy installed? If you used a Linux distribution's packages<br>
> you would also need the numpy development package as well to<br>
> provide these header files. This would probably be called either<br>
> python-numpy-devel or python-numpy-dev depending on your OS.<br>
><br>
> Peter<br>
</div></div></blockquote></div><br>